petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMNetworkGetComponentDataArray

Returns the component data array

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetComponentDataArray(DM dm,DMNetworkComponentGenericDataType **componentdataarray)

Not Collective

### Input Parameters

dm -The DMNetwork Object

### Output Parameters

componentdataarray -array that holds data for all components

### See Also

DMNetworkGetComponentKeyOffset, DMNetworkGetNumComponents

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages